$AMI_Event_Handler{'registrationupdate'}{'PEERSTATUS'} = sub {

    my @allreturn = ();

    my $script_on_registered = defined($main::pluginconfig{'registrationupdate'}{'script_on_registered'}{''})?$main::pluginconfig{'registrationupdate'}{'script_on_registered'}{''}:'';
    my $script_on_notregistered = defined($main::pluginconfig{'registrationupdate'}{'script_on_not_registered'}{''})?$main::pluginconfig{'registrationupdate'}{'script_on_not_registered'}{''}:'';

    my $event = shift;

    # <- PeerStatus: Unreachable
    # <- PeerStatus: Unregistered
    # <- PeerStatus: Reachable
    # <- PeerStatus: Lagged
    # <- PeerStatus: Registered

    # Event: PeerStatus
    # Privilege: system,all
    # ChannelType: SIP
    # Peer: SIP/1609
    # PeerStatus: Registered
    # Address: 226.137.188.94:63434

    my $peer        = ${$event}{Peer};
    my $status      = ${$event}{PeerStatus};
    my $address     = ${$event}{Address};

    if($script_on_registered ne "" && ($status eq "Registered" || $status eq "Reachable")) {

        $script_on_registered =~ s/#{PEER}/$peer/g;
        $script_on_registered =~ s/#{STATUS}/$status/g;
        $script_on_registered =~ s/#{ADDRESS}/$address/g;

        system("$script_on_registered &> /dev/null &");

    }

    if($script_on_notregistered ne "" && ($status eq "Unregistered" || $status eq "Unreachable" || $status eq "Lagged")) {

        $script_on_notregistered =~ s/#{PEER}/$peer/g;
        $script_on_notregistered =~ s/#{STATUS}/$status/g;
        $script_on_notregistered =~ s/#{ADDRESS}/$address/g;

        system("$script_on_notregistered &> /dev/null &");
    }

    return @allreturn; 
}
